<!-- OVERVIEW TABLE EXPERIMENT -->
<mat-card appearance="outlined">
  <mat-card-header><h1>Experimentid</h1></mat-card-header>

  <mat-button-toggle-group appearance="legacy" name="ViewSelection" aria-label="ViewSelection"
                           [(ngModel)]="ViewSelection">
    <mat-button-toggle value="General">General</mat-button-toggle>
    <mat-button-toggle value="Searches">Searches</mat-button-toggle>
    <mat-button-toggle value="Experiment Files">Experiment Files</mat-button-toggle>
  </mat-button-toggle-group>


  <ng-container *ngIf="ViewSelection == 'General'">
    <table class="mpa-overview-table">
      <thead>
      </thead>
      <tbody>
      <tr>
        <th scope="row">Status</th>
        <td>
          {{ ETTS.experiment_ttext(this.dataItemOfThisComponent.experiment.status) }}
        </td>
      </tr>
      <tr>
        <th scope="row">Creation Date</th>
        <td>
          {{ this.dataItemOfThisComponent.experiment.creationdate }}
        </td>
      </tr>

      <ng-container *ngIf="this.dataItemOfThisComponent.experiment.status == ExperimentStatus.RESULTS_AVAILABLE">
        <tr>
          <th scope="row">targetFdr</th>
          <td>
            {{ this.dataItemOfThisComponent.experiment.targetFDR }}
          </td>
        </tr>
      </ng-container>

      <ng-container *ngIf="this.datStats">
        <tr>
          <th scope="row">Protein Groups</th>
          <td>
            {{ this.datStats.totalNoProteinGroups }}
          </td>
        </tr>
        <tr>
          <th scope="row">Proteins</th>
          <td>
            {{ this.datStats.totalNoProteins }}
          </td>
        </tr>
        <tr>
          <th scope="row">Peptides</th>
          <td>
            {{ this.datStats.totalNoPeptides }}
          </td>
        </tr>
        <tr>
          <th scope="row">PSMs</th>
          <td>
            {{ this.datStats.totalNoPsms }}
          </td>
        </tr>
        <tr>
          <th scope="row">Spectra</th>
          <td>
            {{ this.datStats.totalNoSpectra }}
          </td>
      </ng-container>

      <tr>
        <th scope="row">Description
        </th>
        <td>
          <textarea autofocus="false" class="text-area" (input)="setDescription($event)"
                    id="description-text">{{ this.dataItemOfThisComponent.description }}</textarea>
        </td>
      </tr>
      </tbody>
    </table>

  </ng-container>

  <ng-container *ngIf="ViewSelection == 'Experiment Files'">

    <table class="mpa-overview-table">
      <thead>
      </thead>

      <ng-container>

        <ng-container
          *ngIf="this.dataItemOfThisComponent.experiment.experimentFiles.mascotFastaFilesForDat.length  > 0">
          <tr>
            <th scope="row">Mascot Fasta Files:</th>
            <td>
              <div *ngFor="let file of this.dataItemOfThisComponent.experiment.experimentFiles.mascotFastaFilesForDat">
                {{ file.originalFileName }}: {{ file.uploadStatus }},
              </div>
            </td>
          </tr>
        </ng-container>

        <ng-container
          *ngIf="this.dataItemOfThisComponent.experiment.experimentFiles.uploadedSearchResultFiles.length  > 0">
          <tr>
            <th scope="row">Uploaded Search Result Files:</th>
            <td>
              <div
                *ngFor="let file of this.dataItemOfThisComponent.experiment.experimentFiles.uploadedSearchResultFiles">
                {{ file.originalFileName }}: {{ file.uploadStatus }},
              </div>
            </td>
          </tr>
        </ng-container>

        <ng-container *ngIf="this.dataItemOfThisComponent.experiment.experimentFiles.uploadedPeakLists.length  > 0">
          <tr>
            <th scope="row">Uploaded Peak Lists:</th>
            <td>
              <div *ngFor="let file of this.dataItemOfThisComponent.experiment.experimentFiles.uploadedPeakLists">
                {{ file.originalFileName }}: {{ file.uploadStatus }},
              </div>
            </td>
          </tr>
        </ng-container>
      </ng-container>

      <tr>
        <th scope="row">Uploadtype</th>
        <td>
          {{ this.dataItemOfThisComponent.experiment.uploadType }}
        </td>
      </tr>
      <ng-container *ngIf="this.dataItemOfThisComponent.experiment.status == ExperimentStatus.RESULTS_AVAILABLE">
        <tr>
          <th scope="row">targetFdr</th>
          <td>
            {{ this.dataItemOfThisComponent.experiment.targetFDR }}
          </td>
        </tr>
      </ng-container>
    </table>
  </ng-container>

  <ng-container *ngIf="ViewSelection == 'Searches'">
    <table class="mpa-overview-table">
      <thead>
        <ng-container *ngIf="this.dataItemOfThisComponent.experiment.searches.length  > 0">
          <th>Search ID</th>
          <th>Status</th>
          <th>Search Parameters</th>
          <ng-container *ngFor="let search of dataItemOfThisComponent.experiment.searches">
            <tr>
              <td scope="row">{{ search.proteinDBId }}:</td>
              <td>{{ ETTS.search_ttext(search.status) }}</td>
              <td>
               <ng-container *ngIf="search.searchAlgorithm === SearchAlgorithm.RUMINATION">
                  <strong>Rumination Search Parameters:</strong><br>
                  <span>MS Accuracy: {{ search.searchParameters.ruminationSearchParameters.msAccuracy }}</span><br>
                  <span>Intensity Threshold: {{ search.searchParameters.ruminationSearchParameters.intensityThreshold }}</span><br>
                </ng-container>
                <ng-container *ngIf="search.searchAlgorithm === SearchAlgorithm.XTANDEM_RESCORE">
                  <strong>Xtandem Rescore Search Parameters:</strong><br>
                  <span>
                    Fragment Ion Tolerance: {{ search.searchParameters.xtandemRescoreSearchParameters.fragemntIonTolerance }} {{ search.searchParameters.xtandemRescoreSearchParameters.fragemntIonToleranceUnit }}
                  </span><br>
                  <span>
                    Precursor Ion Tolerance: {{ search.searchParameters.xtandemRescoreSearchParameters.precursorIonTolerance }} {{ search.searchParameters.xtandemRescoreSearchParameters.precursorIonToleranceUnit }}
                  </span><br>
                  <span>
                    Modification Carbamidomethyl: {{ search.searchParameters.xtandemRescoreSearchParameters.modificationCarbamidomethyl }}
                  </span><br>
                  <span>
                    Modification Oxidation: {{ search.searchParameters.xtandemRescoreSearchParameters.modificationOxidation }}
                  </span><br>
                </ng-container>
              </td>
            </tr>
          </ng-container>
        </ng-container>
      </thead>
    </table>
  </ng-container>
</mat-card>


<ng-container *ngIf="false">
  <table class="mpa-overview-table">
    <thead>
    </thead>
    <tbody>
    <tr>
      <th scope="row">Status</th>
      <td>
        {{ ETTS.experiment_ttext(this.dataItemOfThisComponent.experiment.status) }}
      </td>
    </tr>
    <tr>
      <th scope="row">Creation Date</th>
      <td>
        {{ this.dataItemOfThisComponent.experiment.creationdate }}
      </td>
    </tr>

    <ng-container>

      <ng-container *ngIf="this.dataItemOfThisComponent.experiment.experimentFiles.mascotFastaFilesForDat.length  > 0">
        <tr>
          <th scope="row">Mascot Fasta Files:</th>
          <td>
            <div *ngFor="let file of this.dataItemOfThisComponent.experiment.experimentFiles.mascotFastaFilesForDat">
              {{ file.originalFileName }}: {{ file.uploadStatus }},
            </div>
          </td>
        </tr>
      </ng-container>

      <ng-container
        *ngIf="this.dataItemOfThisComponent.experiment.experimentFiles.uploadedSearchResultFiles.length  > 0">
        <tr>
          <th scope="row">Uploaded Search Result Files:</th>
          <td>
            <div *ngFor="let file of this.dataItemOfThisComponent.experiment.experimentFiles.uploadedSearchResultFiles">
              {{ file.originalFileName }}: {{ file.uploadStatus }},
            </div>
          </td>
        </tr>
      </ng-container>

      <ng-container *ngIf="this.dataItemOfThisComponent.experiment.experimentFiles.uploadedPeakLists.length  > 0">
        <tr>
          <th scope="row">Uploaded Peak Lists:</th>
          <td>
            <div *ngFor="let file of this.dataItemOfThisComponent.experiment.experimentFiles.uploadedPeakLists">
              {{ file.originalFileName }}: {{ file.uploadStatus }},
            </div>
          </td>
        </tr>
      </ng-container>

    </ng-container>

    <ng-container *ngIf='this.dataItemOfThisComponent.experiment.searches !== null'>
      <tr>
        <th scope="row">Searches</th>
        <td>
          <ng-container *ngFor='let search of this.dataItemOfThisComponent.experiment.searches'>
            <div> Search in {{ search.proteinDBId }} is {{ ETTS.search_ttext(search.status) }},</div>
          </ng-container>
        </td>
      </tr>

    </ng-container>

    <tr>
      <th scope="row">Uploadtype</th>
      <td>
        {{ this.dataItemOfThisComponent.experiment.uploadType }}
      </td>
    </tr>
    <ng-container *ngIf="this.dataItemOfThisComponent.experiment.status == ExperimentStatus.RESULTS_AVAILABLE">
      <tr>
        <th scope="row">targetFdr</th>
        <td>
          {{ this.dataItemOfThisComponent.experiment.targetFDR }}
        </td>
      </tr>
    </ng-container>

    <ng-container *ngIf="this.datStats">
      <tr>
        <th scope="row">Protein Groups</th>
        <td>
          {{ this.datStats.totalNoProteinGroups }}
        </td>
      </tr>
      <tr>
        <th scope="row">Proteins</th>
        <td>
          {{ this.datStats.totalNoProteins }}
        </td>
      </tr>
      <tr>
        <th scope="row">Peptides</th>
        <td>
          {{ this.datStats.totalNoPeptides }}
        </td>
      </tr>
      <tr>
        <th scope="row">PSMs</th>
        <td>
          {{ this.datStats.totalNoPsms }}
        </td>
      </tr>
      <tr>
        <th scope="row">Spectra</th>
        <td>
          {{ this.datStats.totalNoSpectra }}
        </td>
    </ng-container>

    <tr>
      <th scope="row">Description
      </th>
      <td>
        <textarea autofocus="false" class="text-area" (input)="setDescription($event)"
                  id="description-text">{{ this.dataItemOfThisComponent.description }}</textarea>
      </td>
    </tr>
    </tbody>
  </table>
</ng-container>
